CFLAGS=-Os -pipe -mips32r2 -mtune=mips32r2 -funit-at-a-time
include $(INCLUDE_DIR)/target.mk
-DEFAULT_PACKAGES+=kmod-pppoa ppp-mod-pppoa linux-atm atm-tools br2684ctl ifxmips-dsl-api ifxmips-dsl-control
+DEFAULT_PACKAGES+=uboot-lantiq
+#kmod-pppoa ppp-mod-pppoa linux-atm atm-tools br2684ctl ifxmips-dsl-api ifxmips-dsl-control ifx-tapidemo
define Target/Description
Build firmware images for Infineon Mips Controllers
--- /dev/null
+#!/usr/bin/python
+from sys import stdin, stdout
+while True:
+ c = stdin.read(2)
+ if len(c) < 2:
+ break
+ n1, n2 = ord(c[0]), ord(c[1])
+ stdout.write(chr(((n2 & 15) << 4) + ((n2 & 240) >> 4)))
+ stdout.write(chr(((n1 & 15) << 4) + ((n1 & 240) >> 4)))
--- /dev/null
+#!/bin/sh
+
+DIR="$1/"
+FILE="$1/$2"
+
+echo "This tool downloads the arcor a800 firmware release and extracts the voip firmware for the danube."
+echo "Please only do so if it is legal in your country"
+
+[ ! -f ${FILE} ] && {
+ echo ${FILE} is missing
+ exit 1
+}
+
+[ ! -f ${DIR}bbd.crypt ] && {
+ dd if=${FILE} of=${DIR}bbd.crypt bs=1 skip=104 count=1472302
+}
+
+[ ! -f ${DIR}dsl_a.bin ] && {
+ dd if=${FILE} of=${DIR}dsl1.lzma bs=1 skip=2168832 count=150724
+ lzma d ${DIR}dsl2.lzma ${DIR}dsl_a.bin
+}
+
+[ ! -f ${DIR}dsl_b.bin ] && {
+ dd if=${FILE} of=${DIR}dsl2.lzma bs=1 skip=2320384 count=148343
+ lzma d ${DIR}dsl1.lzma ${DIR}dsl_b.bin
+}
+
+[ ! -f ${DIR}voip.bin ] && {
+ dd if=${FILE} of=${DIR}voip.lzma bs=1 skip=2468864 count=452105
+ lzma d ${DIR}voip.lzma ${DIR}voip.bin
+}
+exit 0
+
+# get lzma offsets
+# hexdump -C arcor_A800_452CPW_FW_1.02.206\(20081201\).bin | grep "5d 00 00 80"
+# hexdump -C arcor_A800_452CPW_FW_1.02.206\(20081201\).bin | grep "00 d5 08 00"
-obj-y := reset.o prom.o setup.o irq.o dma-core.o pmu.o board.o clock.o gpio.o
+obj-y := reset.o prom.o setup.o irq.o dma-core.o pmu.o board.o clock.o gpio.o timer.o
#include <asm/irq.h>
#include <asm/div64.h>
-#include <asm/ifxmips/ifxmips.h>
-#include <asm/ifxmips/ifxmips_irq.h>
-#include <asm/mach-ifxmips/cgu.h>
-#include <asm/ifxmips/ifxmips_gptu.h>
-#include <asm/ifxmips/ifxmips_pmu.h>
+#include <ifxmips.h>
+#include <ifxmips_irq.h>
+#include <ifxmips_cgu.h>
+#include <ifxmips_gptu.h>
+#include <ifxmips_pmu.h>
#define MAX_NUM_OF_32BIT_TIMER_BLOCKS 6